Create Table xbinfo
(
    destfolder              varchar(255)                        NOT NULL,

    id                      varchar(32)                         NOT NULL,
    title                   varchar(127)                        NOT NULL,
    email                   varchar(127)                            NULL,

    board_lock              enum('0','1')                       NOT NULL    Default 0,
    m_upload_prev           enum('0','1')                       NOT NULL    Default 1,
    m_download_prev         enum('0','1')                       NOT NULL    Default 1,
    m_list_prev             enum('0','1')                       NOT NULL    Default 1,
    m_read_prev             enum('0','1')                       NOT NULL    Default 1,
    m_write_prev            enum('0','1')                       NOT NULL    Default 1,

    s_upload_prev           enum('0','1')                       NOT NULL    Default 1,
    s_download_prev         enum('0','1')                       NOT NULL    Default 1,
    s_list_prev             enum('0','1')                       NOT NULL    Default 1,
    s_read_prev             enum('0','1')                       NOT NULL    Default 1,
    s_write_prev            enum('0','1')                       NOT NULL    Default 1,

    g_upload_prev           enum('0','1')                       NOT NULL    Default 1,
    g_download_prev         enum('0','1')                       NOT NULL    Default 1,
    g_list_prev             enum('0','1')                       NOT NULL    Default 1,
    g_read_prev             enum('0','1')                       NOT NULL    Default 1,
    g_write_prev            enum('0','1')                       NOT NULL    Default 1,

    list_cnt                numeric(2,0)                        NOT NULL    Default 10,
    title_len               numeric(2,0)                        NOT NULL    Default 30,
    button_enable           enum('0','1')                       NOT NULL    Default 0,
    email_post              enum('0','1','2','3')               NOT NULL    Default 0,

    f_no_cont               varchar(16)                         NOT NULL    Default 'ȣ',
    f_attach_cont           varchar(16)                         NOT NULL    Default '÷',
    f_title_cont            varchar(16)                         NOT NULL    Default '',
    f_author_cont           varchar(16)                         NOT NULL    Default 'ۼ',
    f_write_time_cont       varchar(16)                         NOT NULL    Default 'ۼ',
    f_cnt_cont              varchar(16)                         NOT NULL    Default 'ȸ',

    f_no_seq                enum('0','1','2','3','4','5','6')   NOT NULL    Default 1,
    f_attach_seq            enum('0','1','2','3','4','5','6')   NOT NULL    Default 2,
    f_title_seq             enum('0','1','2','3','4','5','6')   NOT NULL    Default 3,
    f_author_seq            enum('0','1','2','3','4','5','6')   NOT NULL    Default 4,
    f_write_time_seq        enum('0','1','2','3','4','5','6')   NOT NULL    Default 5,
    f_cnt_seq               enum('0','1','2','3','4','5','6')   NOT NULL    Default 6,

    f_ext1_enable           enum('0','1')                       NOT NULL    Default 0,
    f_ext1_cont             varchar(16)                         NOT NULL    Default '߰1',
    f_ext1_type             enum('0','1','2','3','4','5')       NOT NULL    Default 0,
    f_ext1_visible          enum('0','1')                       NOT NULL    Default 1,

    f_ext2_enable           enum('0','1')                       NOT NULL    Default 0,
    f_ext2_cont             varchar(16)                         NOT NULL    Default '߰1',
    f_ext2_type             enum('0','1','2','3','4','5')       NOT NULL    Default 0,
    f_ext2_visible          enum('0','1')                       NOT NULL    Default 1,

    f_color                 char(7)                             NOT NULL    Default '#e7e7e7',
    f_t_l_color             char(7)                             NOT NULL    Default '#efefef',
    f_b_r_color             char(7)                             NOT NULL    Default '#808080',

    l_color                 char(7)                             NOT NULL    Default '#f5f5f5',
    l_t_l_color             char(7)                             NOT NULL    Default '#ffffff',
    l_b_r_color             char(7)                             NOT NULL    Default '#ffffff',

    c_color                 char(7)                             NOT NULL    Default '#ffffff',
    c_t_l_color             char(7)                             NOT NULL    Default '#d1d1d1',
    c_b_r_color             char(7)                             NOT NULL    Default '#d1d1d1',

    head                    text                                NOT NULL    Default '',
    foot                    text                                NOT NULL    Default '',

    Primary Key ( id ),
    Index ( id, title )
)